import request from '@/utils/request'

// 查询会员基础信息列表
export function listInfo(query) {
  return request({
    url: '/member/info/list',
    method: 'get',
    params: query
  })
}

// 查询会员基础信息详细
export function getInfo(id) {
  return request({
    url: '/member/info/' + id,
    method: 'get'
  })
}

// 查询会员个人桩信息
export function getMemberPersonPileInfo(id) {
  return request({
    url: '/member/info/getMemberPersonPileInfo/' + id,
    method: 'get'
  })
}

// 新增会员基础信息
export function addInfo(data) {
  return request({
    url: '/member/info',
    method: 'post',
    data: data
  })
}

// 修改会员基础信息
export function updateInfo(data) {
  return request({
    url: '/member/info',
    method: 'put',
    data: data
  })
}

// 删除会员基础信息
export function delInfo(id) {
  return request({
    url: '/member/info/' + id,
    method: 'delete'
  })
}

// 修改会员基础信息
export function updateGiftBalance(data) {
  return request({
    url: '/member/info/updateGiftBalance',
    method: 'put',
    data: data
  })
}

// 获取用户账户余额变动信息
export function getMemberBalanceChanges(data) {
  return request({
    url: '/member/info/queryMemberBalanceChanges',
    method: 'post',
    data: data
  })
}

// 获取会员交易流水
export function getMemberTransactionRecordList(data) {
  return request({
    url: '/member/info/selectMemberTransactionRecordList',
    method: 'post',
    data: data
  })
}

// 删除车牌号信息
export function deletePlateNumber(data) {
  return request({
    url: '/member/info/deletePlateNumber',
    method: 'post',
    data: data
  })
}

 //修改车牌号
export function updatePlateNumber(data){
  return request({
    url: '/member/info/updatePlateNumber',
    method: 'post',
    data: data
  })
}

